package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author Kent HAN
 * @date 2022/12/20 10:17
 */
@Data
public class CrossIdAndDirDTO {
    @ApiModelProperty(value = "路口ID，如：14Q1409IRF0", required = true)
    private String crossId;
    @ApiModelProperty(value = "进口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北", required = false)
    private Integer dir;
}
