package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hfx
 * @date 2023/1/17 16:21
 * @desc 路口调度信息
 */
@Data
public class CrossSchedulesDTO {

    @ApiModelProperty(name = "调度ID",notes = "")
    private Integer schedulesId;

    @ApiModelProperty(name = "调度名称",notes = "")
    private String schedulesName;

    @ApiModelProperty(name = "状态：1执行；0未执行",notes = "")
    private Integer status;

    @ApiModelProperty(name = "星期：1周一，2周二，3周三，4周四，5周五，6周六，7周日，0特殊日期",notes = "")
    private Integer week;

    @ApiModelProperty(name = "特殊日期",notes = "")
    private String specialDate;

    @ApiModelProperty(name = "计划ID",notes = "")
    private Integer planId;

    @ApiModelProperty(name = "计划号",notes = "")
    private String planNo;

    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;

    @ApiModelProperty(name = "时段信息",notes = "")
    List<CrossSectionDTO> sectionInfos;


}
