package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hfx
 * @date 2023/01/12 13:29:39
 * @desc 路口方案基础信息
 */
@Data
public class CrossSchemeDTO {

    @ApiModelProperty(name = "方案ID",notes = "")
    private Integer id;

    @ApiModelProperty(name = "方案号",notes = "")
    private String schemeNo;

    @ApiModelProperty(name = "方案名称",notes = "")
    private String name;

    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;

    @ApiModelProperty(name = "周期（秒）",notes = "")
    private Integer cycle;

    @ApiModelProperty(name = "协调相位ID",notes = "")
    private Integer coordPhase;

    @ApiModelProperty(name = "相位差",notes = "")
    private Integer offset;

    @ApiModelProperty(name = "相位信息",notes = "")
    private List<CrossPhaseDTO> phaseInfos;

}
