package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hfx
 * @date 2023/1/17 16:14
 * @desc CrossSectionDTO
 */
@Data
public class CrossSectionDTO {

    @ApiModelProperty(name = "时段ID",notes = "")
    private Integer id;

    @ApiModelProperty(name = "时段号",notes = "")
    private String sectionNo;

    @ApiModelProperty(name = "开始时间",notes = "")
    private String startTime;

    @ApiModelProperty(name = "结束时间",notes = "")
    private String endTime;

    @ApiModelProperty(name = "计划ID",notes = "")
    private Integer planId;

    @ApiModelProperty(name = "计划号",notes = "")
    private String planNo;

    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;

    @ApiModelProperty(name = "方案ID",notes = "")
    private Integer schemeId;

    @ApiModelProperty(name = "控制模式：1定周期；2绿波协调；3黄闪；4全红；5关灯；6单点自适应；7全感应；8半感应；",notes = "")
    private Integer controlMode;
}
