package net.wanji.opt.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.vo.SchemeOptVO;

import java.util.List;

/**
 * @author hfx
 * @date 2023/1/12 09:11
 * @desc 路口基础信息
 */
@Data
@ApiModel(value = "SendManualDTO", description = "下发手动干预输入参数")
public class SendManualDTO {
    @ApiModelProperty(value = "优化模式 0手动干预 1中心优化 6边缘优化")
    private Integer optType;
    @ApiModelProperty(value = "当前路口路口状态 1失衡 2拥堵 3溢出")
    private Integer crossStatus;
    @ApiModelProperty(value = "主路口ID")
    private String currentCrossId;
    @ApiModelProperty(value = "下发路口ID")
    private String sendCrossId;
    @ApiModelProperty(value = "原方案ID")
    private Integer schemeId;
    @ApiModelProperty(value = "调整时间表格")
    private List<SchemeOptVO.PhaseOptTime> phaseOptTimeList;
}
