package net.wanji.opt.dto.strategy;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2023/2/27 9:39
 */
@Data
@ApiModel(value = "QuerySceneDTO", description = "策略管理-场景库-查询场景")
public class QuerySceneDTO {
    @ApiModelProperty(value = "场景名称",notes = "")
    private String sceneName ;
    @ApiModelProperty(value = "应用对象 1路口；2干线；3区域",required = true,notes = "")
    private Integer sceneTarget;
    @ApiModelProperty(value = "页码", required = true, notes = "")
    private Integer pageNum;
    @ApiModelProperty(value = "每页记录条数", required = true, notes = "")
    private Integer pageSize;
}
