package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 方案管理-路口配置-获取路口方向列表输入参数
 *
 * @author Kent HAN
 * @date 2022/12/20 10:17
 */
@Data
public class CrossIdAndSchemeIdDTO {
    @ApiModelProperty(value = "路口ID，如：14Q1409IRF0", required = true)
    private String crossId;
    @ApiModelProperty(value = "强制方案ID", required = true)
    private Integer schemeId;
}
