package net.wanji.opt.dto.strategy;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2023/2/27 9:39
 */
@Data
@ApiModel(value = "QueryStrategyDTO", description = "策略管理-策略库-查询策略")
public class QueryStrategyDTO {
    @ApiModelProperty(value = "策略名称",notes = "")
    private String strategyName ;
    @ApiModelProperty(value = "应用对象 1路口；2干线；3区域",notes = "")
    private Integer strategyTarget;
    @ApiModelProperty(value = "页码", required = true, notes = "")
    private Integer pageNum;
    @ApiModelProperty(value = "每页记录条数", required = true, notes = "")
    private Integer pageSize;
}
